%global _hardened_build 1

Name:           numatop
Version:        1.0.2
Release:        3%{?dist}
Summary:        Memory access locality characterization and analysis

License:        BSD
URL:            https://01.org/numatop
Source0:        https://01.org/sites/default/files/%{name}_linux_%{version}.tar.gz
BuildRequires:  numactl-devel ncurses-devel

# https://github.com/01org/numatop/pull/5
Patch0:         numatop.cpuid.patch

# no NUMA
ExcludeArch:    %{arm} s390 s390x


%description
NumaTOP is an observation tool for runtime memory locality characterization and
analysis of processes and threads running on a NUMA system. It helps the user
characterize the NUMA behavior of processes and threads and identify where the
NUMA-related performance bottlenecks reside.

NumaTOP supports the Intel Xeon processors.


%prep
%setup -q -n %{name}
%patch0 -p1


%build
make CFLAGS="%{optflags}" %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8
make install PREFIXDIR=%{buildroot}%{_prefix} MANDIR=%{buildroot}%{_mandir}/man8


%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Mon Jun 30 2014 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.2-3
- Backport and rebase 1.0.1 patch

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 16 2014 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.2-1
- Bump version to 1.0.2
- Remove upstreamed patch

* Fri Sep 20 2013 Dan Horák <dan[at]danny.cz> - 1.0.1-5
- no numa on s390(x)

* Fri Sep 13 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.1-4
- Patch for the 32bit hardened build.

* Sun Aug 25 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.1-3
- Hardened build.
- Automatic requires.

* Fri Aug 02 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.1-2
- Fix the license tag.

* Thu Aug 01 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.1-1
- Initial spec.
